#ifndef LAUNCHAPP_H
#define LAUNCHAPP_H

#ifdef __cplusplus
extern "C" {
#endif

#include <fcntl.h>

enum KylinAppId{
    FOO_BAR_UNSPECIFIED = 0,
    E_KYLIN_BROW_ID,        /*麒麟浏览器*/
    E_KYLIN_CALC_ID,        /*麒麟计算器*/
    E_KYLIN_VIDEO_ID        /*麒麟播放器*/
};

/**
 * @brief 调用系统程序
 * 
 * @param appId 需要拉起的OS原生应用的代号
 * @return int 0-成功， -1-失败
 */
int kdk_system_launch_nativeApp(enum KylinAppId appId);

#ifdef __cplusplus
}
#endif

#endif  // LAUNCHAPP_H